Loading...
Searching...
No Matches
Opm::FlashBoundaryRateVector< TypeTag > Class Template Reference

Implements a boundary vector for the fully implicit compositional multi-phase model which is based on flash calculations. More...

`#include <flashboundaryratevector.hh>`

Inheritance diagram for Opm::FlashBoundaryRateVector< TypeTag >:

## Public Member Functions

| FlashBoundaryRateVector (const Evaluation &value)
| FlashBoundaryRateVector (const FlashBoundaryRateVector &value)=default
FlashBoundaryRateVector & | operator= (const FlashBoundaryRateVector &value)=default
template<class Context, class FluidState>
void | setFreeFlow (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Specify a free-flow boundary.
template<class Context, class FluidState>
void | setInFlow (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Specify an inflow boundary.
template<class Context, class FluidState>
void | setOutFlow (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Specify an outflow boundary.
void | setNoFlow ()
| Specify a no-flow boundary for all conserved quantities.

## Detailed Description

template<class TypeTag>
class Opm::FlashBoundaryRateVector< TypeTag >

Implements a boundary vector for the fully implicit compositional multi-phase model which is based on flash calculations.

## Constructor & Destructor Documentation

## FlashBoundaryRateVector() [1/2]

template<class TypeTag>

Opm::FlashBoundaryRateVector< TypeTag >::FlashBoundaryRateVector | ( | const Evaluation & | value | ) |

inline

ImmiscibleBoundaryRateVector::ImmiscibleBoundaryRateVector(Scalar)

## FlashBoundaryRateVector() [2/2]

template<class TypeTag>

Opm::FlashBoundaryRateVector< TypeTag >::FlashBoundaryRateVector | ( | const FlashBoundaryRateVector< TypeTag > & | value | ) |

default

## Member Function Documentation

## setFreeFlow()

template<class TypeTag>
template<class Context, class FluidState>

void Opm::FlashBoundaryRateVector< TypeTag >::setFreeFlow | ( | const Context & | context,
|  | unsigned | bfIdx,
|  | unsigned | timeIdx,
|  | const FluidState & | fluidState )

inline

Specify a free-flow boundary.

Parameters

  context | The execution context for which the boundary rate should be specified.
  bfIdx | The local space index of the boundary segment.
  timeIdx | The index used by the time discretization.
  fluidState | The repesentation of the thermodynamic state of the system on the integration point of the boundary segment.

## setInFlow()

template<class TypeTag>
template<class Context, class FluidState>

void Opm::FlashBoundaryRateVector< TypeTag >::setInFlow | ( | const Context & | context,
|  | unsigned | bfIdx,
|  | unsigned | timeIdx,
|  | const FluidState & | fluidState )

inline

Specify an inflow boundary.

An inflow boundary condition is basically a free flow boundary condition that is not prevented from specifying a flow out of the domain.

Parameters

  context | The execution context for which the boundary rate should be specified.
  bfIdx | The local space index of the boundary segment.
  timeIdx | The index used by the time discretization.
  fluidState | The repesentation of the thermodynamic state of the system on the integration point of the boundary segment.

## setNoFlow()

template<class TypeTag>

void Opm::FlashBoundaryRateVector< TypeTag >::setNoFlow | ( |  | ) |

inline

Specify a no-flow boundary for all conserved quantities.

## setOutFlow()

template<class TypeTag>
template<class Context, class FluidState>

void Opm::FlashBoundaryRateVector< TypeTag >::setOutFlow | ( | const Context & | context,
|  | unsigned | bfIdx,
|  | unsigned | timeIdx,
|  | const FluidState & | fluidState )

inline

Specify an outflow boundary.

An outflow boundary condition is basically a free flow boundary condition that is not prevented from specifying a flow into the domain.

Parameters

  context | The execution context for which the boundary rate should be specified.
  bfIdx | The local space index of the boundary segment.
  timeIdx | The index used by the time discretization.
  fluidState | The repesentation of the thermodynamic state of the system on the integration point of the boundary segment.

The documentation for this class was generated from the following file:

- opm/models/flash/flashboundaryratevector.hh